> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform Batch Action

> Performs an action on the specified batch job. Possible actions are start, cancel, and reset actions. Reset can only be called for jobs that are already completed or canceled, and will remove all items so that you can re-use the empty job.



## OpenAPI

````yaml /openapi/openapi_importexport.json post /platform/data/batchJob/actions/{code}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_IMPORTEXPORT">
                <h2>Import Export</h2>
                <p>The Import Export APIs are used to "import and export" Kibo's resources efficiently in <strong>CSV</strong> file format.</p>
                <p> For Importing, files are first zipped and uploaded via the <strong>Files API</strong>. Then an import job can be created, referencing the uploaded files using the <strong>Import API.</strong></p>
                <p> For Exporting, create an export job via the  <strong></strong>Export API, specifying  the resource to be exported. Then after completion, the csv extracts can be downloaded via the <strong>File API</strong></p>
                
            </div>
  title: Import Export
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/batchJob/actions/{code}:
    post:
      tags:
        - BatchJob
      summary: Perform Batch Action
      description: >-
        Performs an action on the specified batch job. Possible actions are
        start, cancel, and reset actions. Reset can only be called for jobs that
        are already completed or canceled, and will remove all items so that you
        can re-use the empty job.
      parameters:
        - in: path
          name: code
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchJobAction'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchJob'
            text/json:
              schema:
                $ref: '#/components/schemas/BatchJob'
            text/plain:
              schema:
                $ref: '#/components/schemas/BatchJob'
          description: Success
components:
  schemas:
    BatchJobAction:
      properties:
        action:
          $ref: '#/components/schemas/BatchJobActionTypes'
      type: object
    BatchJob:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          nullable: true
          type: string
        dateStarted:
          format: date-time
          nullable: true
          type: string
        domain:
          $ref: '#/components/schemas/BatchDomains'
        name:
          nullable: true
          type: string
        scheduledDate:
          format: date-time
          nullable: true
          type: string
        status:
          $ref: '#/components/schemas/BatchJobStatuses'
        tenantId:
          format: int32
          type: integer
      type: object
    BatchJobActionTypes:
      enum:
        - Start
        - Reset
        - Cancel
      type: string
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    BatchDomains:
      enum:
        - Catalog
      type: string
    BatchJobStatuses:
      enum:
        - Ready
        - Pending
        - Running
        - Completed
        - Canceled
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````